#include<iostream>
using namespace std;
int main()
{
    int n,m;
    cin>>n>>m;
    int a[n][m];
    for(int i=0;i<n;i++)
        for(int j=0;j<m;j++)
            cin>>a[i][j];
    if(n<=2&&m<=2){
        if(n==1 && m==1) cout<<0;
        else if(n==1) cout<<(a[0][0]^a[0][1]);
        else if(m==1) cout<<(a[0][0]^a[1][0]);
    }
    cout<<0;
}